Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. Archives
  2. Get item

Get item

Get a STAC item by it's collection and item ID

GET/v0/archives/collections/{cid}/items/{id}
Authorisations
AuthorizationString
Path Parameters
cidstringrequired
Collection ID
idstringrequired
Item ID
Response
application/json
OK
idstringrequired
The unique identifier of the itemExample: "20201211_223832_CS25"
typestring
The type of the itemExample: "Feature"
collectionstring
The collection the item belongs toExample: "simple-collection_2"
stac_versionstring
The version of the STAC specificationExample: "1.0.0"
stac_extensionsstring[]
The extensions used in the itemExample: ["https://stac-extensions.github.io/eo/v1.0.0/schema.json","https://stac-extensions.github.io/projection/v1.0.0/schema.json","https://stac-extensions.github.io/view/v1.0.0/schema.json"]
bboxstring[]
The bounding box of the itemExample: ["172.91173669923782","1.3438851951615003","172.95469614953714","1.3690476620161975"]
geometryobject
The geometry of the item
Show child attributes
propertiesobject
Show child attributes
assetsobject
Example ``` { "B091": { "href": "<path_to_asset>", "type": "image/tiff", "roles": ["data"], "title": "B091", "eo:bands": [ { "fwhm": 0, "name": "B091", "solar_irradiance": 1984.75, "center_wavelength": 490, "common_name": "red", } ], "raster:bands": [ { "scale": 0.00002, "nodata": 0, "offset": 0, "spatial_resolution": 30 } ] }, "B013": { "href": "<path_to_asset>", "type": "image/png", "roles": ["data"], "title": "B013", "eo:bands": [ { "fwhm": 0, "name": "B013", "common_name": "blue", "solar_irradiance": 1965.25, "center_wavelength": 493 } ], "raster:bands": [ { "scale": 0.00002, "nodata": 0, "offset": 0, "spatial_resolution": 30 } ] } } // The properties of the item
linksobject[]
The links of the item
Show child attributes
Get item
cURL
Python
Go
TypeScript
1curl -X GET 'https://api.pixxel.space/v0/archives/collections/{cid}/items/{id}' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"id": "20201211_223832_CS25",
"type": "Feature",
"collection": "simple-collection_2",
"stac_version": "1.0.0",
"stac_extensions": [
"https://stac-extensions.github.io/eo/v1.0.0/schema.json",
"https://stac-extensions.github.io/projection/v1.0.0/schema.json",
"https://stac-extensions.github.io/view/v1.0.0/schema.json"
],
"bbox": [
"172.91173669923782",
"1.3438851951615003",
"172.95469614953714",
"1.3690476620161975"
],
"geometry": null,
"properties": null,
"assets": {},
"links": [
{
"href": "https://example.com",
"rel": "self",
"title": "Example Link Title",
"type": "application/json"
}
]
}
List items in a collectionSearch all items